<template>
  <!-- Side Nav START -->
  <div class="side-nav expand-lg">
    <div class="side-nav-inner">
      <ul class="side-nav-menu">
        <li class="side-nav-header">
          <span>MENÚ</span>
        </li>
        <li
          class="nav-item dropdown"
          v-for="(item, idx) in items"
          :key="idx"
        >
          <router-link :to="{ name: item.name }">
            <span class="icon-holder">
              <i :class="item.name"></i>
            </span>
            <span class="title">{{ item.text }}</span>
          </router-link>
        </li>
      </ul>
    </div>
  </div>
</template>
<style>
.router-link-exact-active,
.router-link-active {
  transition: background-color 0.3s;
  color: #fff;
  background-color: #e22a6f;
}
</style>
<script lang="ts">
import Vue from "vue";
export default Vue.extend({
  name: "menu-component",
  data() {
    return {
      items: [
        {
          icon: "lni-home",
          text: "Home",
          name: "home",
        },
        {
          icon: "lni-cloud",
          text: "Facturas",
          name: "invoice",
        },
      ],
    };
  },
});
</script>
